package math.utils;

public interface IType<T> {
    T zero();

    T one();

    T add(T x, T y);

    T sub(T x, T y);

    T mult(T x, T y);

    T div(T x, T y);

    T neg(T x);

    T recip(T x);

    T pow(T x, int exp);

    boolean equals(T x, T y);
}
